#
# spec file for package libopenshot
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define sover 14
Name:           libopenshot
Version:        0.1.9
Release:        lp150.1.2
Summary:        The core library for the OpenShot video editor
License:        LGPL-3.0+
Group:          Productivity/Multimedia/Other
Url:            http://openshot.org/
Source0:        libopenshot-%{version}.tar.xz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  libopenshot-audio-devel
BuildRequires:  cppzmq-devel
BuildRequires:  pkgconfig
BuildRequires:  swig
BuildRequires:  ImageMagick-devel
BuildRequires:  pkgconfig(Qt5Core) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5MultimediaWidgets)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(UnitTest++)
BuildRequires:  pkgconfig(jsoncpp)
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libavdevice)
BuildRequires:  pkgconfig(libavfilter)
BuildRequires:  pkgconfig(libavformat)
BuildRequires:  pkgconfig(libavresample)
BuildRequires:  pkgconfig(libavutil)
BuildRequires:  pkgconfig(libswscale)
#BuildRequires:  pkgconfig(libzmq)
BuildRequires:  pkgconfig(python3)

%description
A library for video editing, composition, animation, and playback,
which focuses on The library is written in C++ and includes full
bindings for Python and Ruby.

%package -n     %{name}%{sover}
Summary:        The core library for the OpenShot video editor
Group:          System/Libraries

%description -n %{name}%{sover}
A library for video editing, composition, animation, and playback,
which focuses on The library is written in C++ and includes full
bindings for Python and Ruby. It features:

* Multi-layer compositing
* Video and audio effects (chroma key, color adjustment,
  grayscale, etc.)
* Animation curves (Bézier, linear, constant)
* Time mapping (curve-based slow-down, speed-up, reverse)
* Audio mixing & resampling (curve-based)
* Audio plug-ins (VST & AU)
* Telecine and Inverse Telecine (film to TV, TV to film)
* Frame rate conversions
* Multi-processor support
* Uses ffmpeg for format and codec support

This package contains the shared library.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{name}%{sover} = %{version}

%description    devel
A library for video editing, composition, animation, and playback,
which focuses on The library is written in C++.

This package contains header files and libraries needed to develop
application that use %{name}.

%package -n     python3-openshot
Summary:        Python bindings for the OpenShot library
Group:          Development/Languages/Python

%description -n python3-openshot
This package provides the Python bindings for the OpenShot library.

%prep
%setup -q

%build
export CXXFLAGS="%{optflags} -Wno-return-type"
%cmake \
    -DCMAKE_SHARED_LINKER_FLAGS="-Wl,--as-needed" \
    -DUSE_SYSTEM_JSONCPP=ON

make %{?_smp_mflags}

%install
%cmake_install

%post   -n %{name}%{sover} -p /sbin/ldconfig
%postun -n %{name}%{sover} -p /sbin/ldconfig

%files -n %{name}%{sover}
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}/
%{_libdir}/%{name}.so

%files -n python3-openshot
%defattr(-,root,root)
%{python3_sitearch}/*openshot*

%changelog
* Tue Mar  6 2018 adrian@suse.de
- update to version 0.1.9
  going back to git, as the tar is poorly named and not signed
* Wed Nov  1 2017 tampakrap@opensuse.org
- Replace the _service file with the upstream tarball
* Mon Sep 11 2017 adrian@suse.de
- update to version 0.1.8
* Sat Sep  2 2017 zaitor@opensuse.org
- Update to version 0.1.7
- Bump so version following upstream changes.
* Mon Apr  3 2017 adrian@suse.de
- update to version 0.1.4
* Fri Jan 13 2017 jengelh@inai.de
- Update description
* Thu Jan 12 2017 adrian@suse.de
- adapt for build.o.o from packman version
* Thu Jan  5 2017 avvissu@yandex.by
- Update to 0.1.3:
  * This release does not have a changelog
* Thu Oct 20 2016 avvissu@yandex.by
- Initial package
